mallinfo Struct Reference

## Data Fields

MALLINFO_FIELD_TYPE | arena
MALLINFO_FIELD_TYPE | ordblks
MALLINFO_FIELD_TYPE | smblks
MALLINFO_FIELD_TYPE | hblks
MALLINFO_FIELD_TYPE | hblkhd
MALLINFO_FIELD_TYPE | usmblks
MALLINFO_FIELD_TYPE | fsmblks
MALLINFO_FIELD_TYPE | uordblks
MALLINFO_FIELD_TYPE | fordblks
MALLINFO_FIELD_TYPE | keepcost

## Detailed Description

Definition at line 667 of file SDL_malloc.c.

## Field Documentation

## arena

MALLINFO_FIELD_TYPE mallinfo::arena

Definition at line 669 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## fordblks

MALLINFO_FIELD_TYPE mallinfo::fordblks

Definition at line 677 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## fsmblks

MALLINFO_FIELD_TYPE mallinfo::fsmblks

Definition at line 675 of file SDL_malloc.c.

## hblkhd

MALLINFO_FIELD_TYPE mallinfo::hblkhd

Definition at line 673 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## hblks

MALLINFO_FIELD_TYPE mallinfo::hblks

Definition at line 672 of file SDL_malloc.c.

## keepcost

MALLINFO_FIELD_TYPE mallinfo::keepcost

Definition at line 678 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## ordblks

MALLINFO_FIELD_TYPE mallinfo::ordblks

Definition at line 670 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## smblks

MALLINFO_FIELD_TYPE mallinfo::smblks

Definition at line 671 of file SDL_malloc.c.

## uordblks

MALLINFO_FIELD_TYPE mallinfo::uordblks

Definition at line 676 of file SDL_malloc.c.

Referenced by internal_mallinfo().

## usmblks

MALLINFO_FIELD_TYPE mallinfo::usmblks

Definition at line 674 of file SDL_malloc.c.

Referenced by internal_mallinfo().

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c